/****************************************************************
 * ReadSHT2x
 *  An example sketch that reads the sensor and prints the
 *  relative humidity to the PC's serial port
 *
 *  Tested with:
 *    - SHT21-Breakout Humidity sensor from Modern Device
 *    - SHT2x-Breakout Humidity sensor from MisensO Electronics
 ***************************************************************/

#include <Wire.h>
#include <Sodaq_SHT2x.h>


void setup()
{
  pinMode(2, OUTPUT);      // sets the digital pin 2 as output
  digitalWrite(2, LOW);    // sets the digital pin 2 to low
  
  Wire.begin();
  Serial.begin(9600);
}

void loop()
{
  static unsigned char u8_relay_status = 0;
  
  Serial.println();
  Serial.print("Humidity(%RH):  ");
  Serial.println(SHT2x.GetHumidity());
  Serial.print("Temperature(C): ");
  Serial.println(SHT2x.GetTemperature());
  Serial.print("Dewpoint(C):    ");
  Serial.println(SHT2x.GetDewPoint());
  Serial.println();

  if( 1 == u8_relay_status)
  {
    digitalWrite(2, LOW);  // sets the digital pin 2 off
    u8_relay_status = 0;
  }
  else
  {
    digitalWrite(2, HIGH); // sets the digital pin 2 on
    u8_relay_status = 1;
  }
  
  delay(1000);
}
